aboutsummaryrefslogtreecommitdiffstats
path: root/SoftHSMv2/prepdist.sh
diff options
context:
space:
mode:
Diffstat (limited to 'SoftHSMv2/prepdist.sh')
-rw-r--r--SoftHSMv2/prepdist.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/SoftHSMv2/prepdist.sh b/SoftHSMv2/prepdist.sh
new file mode 100644
index 0000000..93e5cb2
--- /dev/null
+++ b/SoftHSMv2/prepdist.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+PREFIX=/tmp/softhsm2-release
+export LD_LIBRARY_PATH=/usr/local/lib
+
+if [ ! -f autogen.sh -a ! -f configure ]; then
+ echo "Unable to continue, no autogen.sh or configure"
+ exit 1
+fi
+
+if [ -f autogen.sh ]; then
+ sh autogen.sh
+fi &&
+mkdir -p build &&
+cd build &&
+../configure --prefix=${PREFIX} \
+ --with-crypto-backend=botan \
+ --with-botan=/usr/local \
+ $@